/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

@font-face {
    font-family: 'Merriweather CFAH';
    src: url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Bold.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Bold.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Bold.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Bold.svg#Merriweather-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Merriweather CFAH';
    src: url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Italic.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Italic.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Italic.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Italic.svg#Merriweather-Italic') format('svg');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Merriweather CFAH';
    src: url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Light.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Light.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Light.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Light.svg#Merriweather-Light') format('svg');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Merriweather CFAH';
    src: url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-BoldItalic.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-BoldItalic.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-BoldItalic.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-BoldItalic.svg#Merriweather-BoldItalic') format('svg');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Merriweather CFAH';
    src: url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Regular.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Regular.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Regular.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Merriweather-Regular.svg#Merriweather-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-BlackItalic.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-BlackItalic.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-BlackItalic.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-BlackItalic.svg#Roboto-BlackItalic') format('svg');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Bold.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Bold.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Bold.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Bold.svg#Roboto-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Black.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Black.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Black.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Black.svg#Roboto-Black') format('svg');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-BoldItalic.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-BoldItalic.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-BoldItalic.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-BoldItalic.svg#Roboto-BoldItalic') format('svg');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-LightItalic.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-LightItalic.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-LightItalic.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-LightItalic.svg#Roboto-LightItalic') format('svg');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Medium.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Medium.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Medium.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Medium.svg#Roboto-Medium') format('svg');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Italic.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Italic.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Italic.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Italic.svg#Roboto-Italic') format('svg');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-MediumItalic.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-MediumItalic.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-MediumItalic.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-MediumItalic.svg#Roboto-MediumItalic') format('svg');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Light.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Light.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Light.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Light.svg#Roboto-Light') format('svg');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-ThinItalic.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-ThinItalic.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-ThinItalic.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-ThinItalic.svg#Roboto-ThinItalic') format('svg');
    font-weight: 100;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Regular.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Regular.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Regular.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Regular.svg#Roboto-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto CFAH';
    src: 
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Thin.woff2') format('woff2'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Thin.woff') format('woff'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Thin.ttf') format('truetype'),
        url('https://cfah.org/wp-content/uploads/2021/07/Roboto-Thin.svg#Roboto-Thin') format('svg');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}



/* links underline */
div#content span a, div#content p:not(.logged-in-as) a, div#content h1 a, div#content h2 a, div#content h3 a, div#content h4 a, div#content h5 a, div#content h6 a,
div#content li a {
    border-bottom: .2em solid rgba(100, 92, 246, .5);
}
div#content span a:hover, div#content p:not(.logged-in-as) a:hover, div#content h1 a:hover, div#content h2 a:hover, div#content h3 a:hover, div#content h4 a:hover, div#content h5 a:hover, div#content h6 a:hover,
div#content li a:hover, div#content div:not(.su-button-center) a:hover, div#content div:not(#toc_container) a:hover   {
    border-bottom-color: rgba(100, 92, 246, 1);
    transition: all 0.1s ease-in;
}

div#content div#toc_container a, .not-underlined a, a.not-underlined {
    border-bottom: none!important;
}

div#content div#toc_container a:hover, .not-underlined a:hover, a.not-underlined:hover  {
	text-decoration: none;
    border-bottom: 2px solid rgba(100, 92, 246, 1)!important;
}
/* end */

/* brand card divider */
hr, .elementor hr {
	height: 8px;
	background-color: #E9E9E9!important;
	margin: 2.5rem 0 1.2rem!important;
}
/* end */

/* tables */
table {
	color: #000;
	border-left: 0;
	border-right: 0;
	border-top: 0;
	font-size: 15px;
}
table ul {
	margin-left: 1.5rem;
}
table:not(.table-products) tr:nth-child(odd) {
	background-color: #f6f6f6;
}
table tr td, table th {
	padding-left: 1.2rem;
	border-bottom: 0;
}
table tr td:first-child, table th:first-child {
	padding-top: .75em;
	padding-bottom: .7em;
}
table tr td:last-child, table th:last-child  {
	border-right: 0;
	padding-top: .75em;
	padding-bottom: .7em;
}
table td {
	vertical-align: top;
}

/* Sidebar TOC */
#sidebar {
	margin-top: 2rem;
}
#sidebar #toc-widget-2 {
	border: 1px solid rgba(0,0,0,.1);
	padding: 0;
}
#sidebar h2.widget-title, #sidebar h5, .table-products__features-title {
	margin-bottom: 1rem;
	font-size: 11px;
	font-weight: 600;
	text-transform: uppercase;
	line-height: 1.5em;
	letter-spacing: 0.1px;
	color: #787679;
	font-family: "Roboto CFAH";
}
#sidebar h2.widget-title, #sidebar h5 {
	border-bottom: 1px solid rgba(0,0,0,.1);
	padding: 1rem 2rem;
}
#sidebar ul.toc_widget_list {
	padding: 0 2rem 1rem;
}
#sidebar ul li a {
	color: #252525;
	border-bottom: 0;
}
#sidebar ul li a:hover, #sidebar ul li.toc-active>a {
	border-bottom: 2px solid rgba(100, 92, 246, 1);
	color: #000000;
}
#sidebar ul li a:hover, #sidebar ul li.toc-active a {
	color: #000000;
}

#sidebar ul>li {
	font-size: 13px;
	padding: 8px 0;
	line-height: 1.47;
}
#sidebar ul li ul {
	transition: all .2s ease;
	opacity: 0;
	height: 0;
	visibility: hidden;
}
#sidebar ul li.toc-active ul {
	padding-top: 8px;
	transition: all .3s ease;
	opacity: 1;
	height: 100%;
	visibility: visible;
}
#sidebar ul li ul li {
	margin-left: .7rem;
}
#sidebar span.toc_number.toc_depth_1 {
	color: #645CF6;
	font-weight: 600;
}
#sidebar #toc-widget-2.fixed {
	position: fixed;
	margin-top: 1rem;
}

/* Products table */
table.table-products {
	padding: 2rem 0;
	font-size: 14px;
}
table.table-products thead {
	font-size: 13px;
	background-color: #f6f6f6;
	font-weight: 600;
	text-transform: uppercase;
	line-height: 1.5em;
	letter-spacing: .1px;
}
table.table-products tbody tr:nth-child(even) td{
	border-top: 1px solid rgba(0,0,0,.1);
}
table.table-products thead th{
	padding-top: 1rem;
	padding-bottom: 1rem;
}
table.table-products .table-products__label {
	border: 1px solid #645CF6;
	display: inline-block;
	padding: 0 .4rem;
	border-radius: 5px;
	font-size: 10px;
	font-weight: 600;
	text-transform: uppercase;
	color: #645CF6;
	line-height: 18px;
	margin-left: -1rem;
	margin-bottom: 1rem;
}
table.table-products tbody tr td:first-child {
	width: 25%;
}
table.table-products td.table-products__features {
	width: 50%;
}
table.table-products ul.table-products__features-list {
	font-size: 13px;
	margin-left: 1rem;
	line-height: 2;
	color: #454545;
}
.table-products__features-title {
	font-size: 12px;
	margin-bottom: 0;
	color: #000;
}
table.table-products td.table-products__button {
	vertical-align: middle;
}
table.table-products td.table-products__button a {
	background: #F94E1C;
	border-radius: 5px;
	color: #fff;
	line-height: 35px;
	display: inline-block;
	padding: 0 .5rem;
	font-size: 13px;
	width: 100%;
	text-align: center;
}
table.table-products td.table-products__button a:hover {
	background: none;
	border: 1px solid #F94E1C!important;
	color: #F94E1C;
}

@media (max-width: 1024px) {
	#sidebar .elementor-widget-container {
		border: 1px solid rgba(0,0,0,.1);
	}
}
@media all and (max-width: 700px) {
	table.table-products thead, table.table-products tbody {
		display: flex;
		flex-direction: column;
	}
	table.table-products thead tr th:last-child {
		display: none;
	}
	table.table-products tr {
		display: flex;
		flex-wrap: wrap;
		height: auto;
	}
	table.table-products thead tr th:first-child , table.table-products tbody tr td:first-child {
		width: 40%;
	}
	table.table-products thead tr th:nth-child(2), table.table-products tbody tr td.table-products__features {
		width: 60%;
		border-right: 0;
	}
	table.table-products td.table-products__button {
		width: 100%;
		padding-left: 0;
		padding-top: 1rem;
		border-top: 0!important;
	}
	#sidebar {
		margin-top: 1rem;
	}
	#sidebar h5 {
		padding: 1rem;
		margin-bottom: 0;
	}
	#sidebar ul.toc_widget_list {
		padding: .5rem 1rem;
		margin: 0;
	}
}
@media (max-width: 500px) {
	.post-meta ul li {
		font-size: 10px!important;
	}
}
@media (max-width: 360px) {
	.post-meta ul li {
		font-size: 9px!important;
	}
}

/* homepage articles */
.home-articles article .elementor-post__text a {
	transition: all .2s ease;
}
.home-articles article:hover .elementor-post__text a {
	border-bottom-color: rgba(100, 92, 246, 1)!important;
}

#rpwwt-wp-widget-recent-posts-widget-with-thumbnails ul li{
	margin-bottom: .5rem;
	line-height: 1.7;
}

#rpwwt-wp-widget-recent-posts-widget-with-thumbnails ul li:not(:last-child){
	border-bottom: 1px solid #E9E9E9;
	padding-bottom: .5rem;
}


